<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <android.support.constraint.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="96dp"
        android:layout_marginLeft="5dp"
        android:layout_marginRight="5dp"
        android:background="@drawable/list_corner_round_bg"
        android:clipChildren="true">

        <ImageView
            android:id="@+id/iv_status"
            android:layout_width="42dp"
            android:layout_height="42dp"
            android:layout_marginTop="4dp"
            app:layout_constraintStart_toStartOf="@+id/tv_title"
            app:layout_constraintTop_toBottomOf="@+id/tv_time"
            app:srcCompat="@drawable/ic_launcher" />

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginEnd="13dp"
            android:layout_marginStart="13dp"
            android:layout_marginTop="8dp"
            android:ellipsize="end"
            android:singleLine="true"
            android:text="TextView"
            android:textColor="@color/icon_gray"
            android:textSize="12.7sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_time"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginEnd="8dp"
            android:layout_marginTop="2dp"
            android:text="TextView"
            android:textColor="@color/icon_red"
            android:textSize="9.7sp"
            app:layout_constraintEnd_toStartOf="@+id/tv_port"
            app:layout_constraintStart_toStartOf="@+id/tv_title"
            app:layout_constraintTop_toBottomOf="@+id/tv_title" />

        <TextView
            android:id="@+id/tv_port"
            android:layout_width="94dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="3dp"
            android:gravity="right"
            android:text="CNTAO - USLAX"
            android:textColor="@color/icon_red"
            android:textSize="9.7sp"
            app:layout_constraintEnd_toEndOf="@+id/tv_title"
            app:layout_constraintTop_toBottomOf="@+id/tv_title" />

        <TextView
            android:id="@+id/tv_description"
            android:layout_width="0dp"
            android:layout_height="16dp"
            android:layout_marginStart="7dp"
            android:ellipsize="end"
            android:singleLine="true"
            android:text="TextView"
            android:textColor="@color/icon_gray"
            android:textSize="12.7sp"
            app:layout_constraintEnd_toEndOf="@+id/tv_title"
            app:layout_constraintStart_toEndOf="@+id/iv_status"
            app:layout_constraintTop_toTopOf="@+id/iv_status" />

        <TextView
            android:id="@+id/tv_detail"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginBottom="2dp"
            android:layout_marginStart="7dp"
            android:layout_marginTop="2dp"
            android:ellipsize="end"
            android:lines="2"
            android:text="TextView"
            android:textColor="@android:color/darker_gray"
            android:textSize="9.7sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="@+id/tv_title"
            app:layout_constraintStart_toEndOf="@+id/iv_status"
            app:layout_constraintTop_toBottomOf="@+id/tv_description" />

        <View

            android:id="@+id/v_transport_stage"
            android:layout_width="4.5dp"
            android:layout_height="0dp"
            android:background="@drawable/list_corner_transport_stage_bg_0"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"></View>
    </android.support.constraint.ConstraintLayout>
</LinearLayout>
